LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices

Reply
 
Search this Thread
Old 08-16-2007, 03:01 AM   #1
maxvonseibold
Member
 
Registered: Mar 2006
Location: Oxford, UK.
Distribution: Debian, Ubuntu, RHEL5, OSX
Posts: 41

Rep: Reputation: 15
RHEL 5 Yum Update Errors, Pup Broken - Help.


Hello,

Recently installed RHEL 5 Client at work for testing and was trying to get the packages updated prior to installing some new things.

Code:
yum update
Gives this:-

Code:
Error: Missing Dependency: libgcj = 4.1.1-52.el5 is needed by package libgcj-devel
Error: Missing Dependency: gcc = 4.1.1-52.el5 is needed by package gcc-c++
Error: Missing Dependency: libXfont = 1.2.2-1.fc6 is needed by package libXfont-devel
The list was a lot longer so I only gave the first few entries.

I googled a lot and found plenty of people saying that the current situation is a disaster:-

http://www.oreillynet.com/linux/blog...hy_yum_an.html
http://www.osnews.com/story.php/1594...But-Dont-Touch

To name a few.

In addition, Pup will not even load.


For a supposedly "Enterprise" grade release, this is frankly insane. Can anyone advise me on this?

I have tried running

Code:
yum whatprovides libgcj
but frankly the list of failed dependencies is huge and the whole point of package management is to prevent this kind of problem in the first place.

Have people had similar problems?
 
Old 08-16-2007, 06:33 AM   #2
Lenard
Senior Member
 
Registered: Dec 2005
Location: Indiana
Distribution: RHEL/CentOS/SL 5 i386 and x86_64 pata for IDE in use
Posts: 4,790

Rep: Reputation: 56
Try reducing the update load a bit, try something like this to get started;

yum update gcc

It may be a good idea to also and the CentOS5 repos to the mix, a sample /etc/yum.repos.d/CentOS.repo file below;

[c5]
name=CentOS-5
mirrorlist=http://mirrorlist.centos.org/?release=5&arch=$basearch&repo=os
gpgcheck=0
enabled=0
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-centos5

[c5updates]
name=CentOS-5-Updates
mirrorlist=http://mirrorlist.centos.org/?release=5&arch=$basearch&repo=updates
gpgcheck=0
enabled=0
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-centos5

[c5extras]
name=CentOS-5-Plus
mirrorlist=http://mirrorlist.centos.org/?release=5&arch=$basearch&repo=extras
gpgcheck=0
enabled=0
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-centos5

[c5plus]
name=CentOS-5-Plus
mirrorlist=http://mirrorlist.centos.org/?release=5&arch=$basearch&repo=centosplus
gpgcheck=0
enabled=0
gpgkey=http://mirror.centos.org/centos/RPM-GPG-KEY-centos5

Then you can try; yum update --enablerepo=c5*
 
  


Reply

Tags
dependency, error, fedora, missing, pup, rhel, rhel5, rpm, yum


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
FC5 yum update errors not in log bostondriver Fedora 0 10-02-2006 10:45 AM
Yum update errors??? Invalid boolean??? tommy12 Fedora 5 09-08-2006 03:55 PM
Update thru PUP of nfs-utils-lib fails.. anilbh Fedora 3 07-02-2006 08:26 PM
Yum update errors gnjunior Fedora 4 01-17-2006 06:55 PM
yum update and up2date errors djljjm Linux - Newbie 1 02-12-2005 01:59 PM


All times are GMT -5. The time now is 05:27 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration